OpenapiOauth
Handle OAuth callback submitted as an HTML form (Apple `response_mode=form_post` sends the authorization response as a POST body instead of a redirect query). Same semantics as the GET variant.
Path Parameters
realmId*string
Realm ID
provider*string
OAuth provider type (form_post is used by Apple)
Request Body
application/x-www-form-urlencoded
Authorization response fields (code/state on success; error/error_description on denial), sent as form fields by response_mode=form_post
TypeScript Definitions
Use the request body type in TypeScript.
code?string|null
error?string|null
error_description?string|null
state?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/oauth/string/string/callback" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d ''{ "agreements": [ { "agreement_type": "string", "effective_at": "2019-08-24T14:15:22Z", "external_url": "string", "mode": "full_text", "summary": "string", "title": "string", "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c", "version_no": 0 } ], "consentRequired": true, "message": "string", "restrictedSession": null, "userId": "string"}Empty
{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}